Version 6.x.x Source

Table Name: `tabSales Person`

All Sales Transactions can be tagged against multiple **Sales Persons** so that you can set and monitor targets.

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `name_and_employee_id` | Section Break | Name and Employee ID |
    icon-user
2 | `sales_person_name` | Data | Sales Person Name |
3 | `parent_sales_person` | Link | Parent Sales Person Select company name first. | Sales Person
4 | `is_group` | Select | Has Child Node |
    Yes
    No
5 | `cb0` | Column Break |  |
6 | `employee` | Link | Employee | Employee
7 | `lft` | Int | lft |
8 | `rgt` | Int | rgt |
9 | `old_parent` | Data | old_parent |
10 | `target_details_section_break` | Section Break | Sales Person Targets Set targets Item Group-wise for this Sales Person. |
    icon-bullseye
11 | `targets` | Table | Targets | Target Detail
12 | `distribution_id` | Link | Target Distribution Select Monthly Distribution to unevenly distribute targets across months. | Monthly Distribution

### Controller

#### erpnext.setup.doctype.sales_person.sales_person

### Class SalesPerson

Inherits from frappe.utils.nestedset.NestedSet

get_email_id (self)

No docs

on_update (self)

No docs

validate (self)

No docs

validate_employee_id (self)

No docs

#### Linked In:

- Maintenance Schedule Detail
- Maintenance Schedule Item
- Maintenance Visit Purpose
- Sales Person
- Sales Team
- Territory